<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.remoting.http-connector.security.sasl.sasl-policy.policy">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="forward-secrecy,no-active,no-anonymous,no-dictionary,no-plain-text,pass-credentials"/>
        <elem name="addr-params" value="profile,subsystem,http-connector,security,sasl-policy"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.remoting"/>
    </annotation>
    <refs>
        <ref feature="subsystem.remoting.http-connector.security.sasl"/>
        <ref feature="subsystem.remoting.http-connector"/>
        <ref feature="subsystem.remoting"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="http-connector" feature-id="true"/>
        <param name="no-active" nillable="true"/>
        <param name="no-plain-text" nillable="true"/>
        <param name="security" feature-id="true" default="sasl"/>
        <param name="pass-credentials" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="remoting"/>
        <param name="no-anonymous" nillable="true"/>
        <param name="sasl-policy" feature-id="true" default="policy"/>
        <param name="forward-secrecy" nillable="true"/>
        <param name="no-dictionary" nillable="true"/>
    </params>
</feature-spec>